/*
    This file is part of RShape.

    RShape is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    RShape is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RShape.  If not, see <http://www.gnu.org/licenses/>.

   Copyright (C) 2008-2010 Neil Birkbeck
*/
package com.nacb.rshape;


/**
 * A helper class to compute random numbers.  Uses
 * java.util.Random.
 *
 * @author Neil Birkbeck
 */
class Random {

    static private java.util.Random random;

    /**
     * Set the seed on the random number generator.
     *
     * @param sd the seed.
     */
    public static void setSeed(int sd) {
	random = new java.util.Random(sd);
    }
    
    /**
     * Return a uniformly generated number.
     *
     * @param m1  the lower bound.
     * @param m2  the upper bound.
     */
    public static double uniform(double m1, double m2){
	if (random == null) random = new java.util.Random();

	return random.nextDouble()*(m2-m1)+m1;
    }
};

