/*
    This file is part of RShape.

    RShape is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    RShape is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RShape.  If not, see <http://www.gnu.org/licenses/>.

   Copyright (C) 2008-2010 Neil Birkbeck
*/
package com.nacb.rshape;


/**
 * This is a script to iterate over the set of possible generated
 * shapes and print a list of those shapes with a specific number
 * of obtuse angles.  Used to generate shapes for Brandon Yardy.
 *
 * @author Neil Birkbeck.
 */
public class SingleScript {

    public static void main(String args[]){
	int nsides = 8, target = Integer.valueOf(args[0]).intValue();
	int max_find = 150;
	int fnd = 0;

	System.err.println(args[0]);
	
	//Laziness.
	String extra = ";#sides:8;#piece:1;convex:12;smooth:1;%smooth:0;line:9;opaque:1;fillColor:ffffff;lineColor:0;";
	
	for(int sd=3; sd<10000000 && fnd<max_find; sd+=4){
	    Random.setSeed(sd);
	    Polygon pgon = new Polygon();
	    	    
	    double array [] = {((sd%4)==0)?1.0:0.0, 
			       ((sd%4)==1)?1.0:0.0, 
			       ((sd%4)==2)?1.0:0.0, 
			       ((sd%4)==0)?1.0:0.0};
	    double convexUse = 0.5; 
	    pgon.create(array, nsides, 0, convexUse==1.0,
			1, 0, convexUse);
	    
	    Polygon.LineAngleStats stats = pgon.getLineAngleStats();

	    if(stats.nobtuse == target){
		System.out.println("seed:" + sd + extra);
		fnd++;
	    }
	}
    }
}